Package org.apache.wiki.xmlrpc

# Class AbstractRPCHandler

java.lang.Object
org.apache.wiki.xmlrpc.AbstractRPCHandler

All Implemented Interfaces:
  `WikiRPCHandler`

Direct Known Subclasses:
  `RPCHandler`, `RPCHandlerUTF8`

public abstract class AbstractRPCHandler extends Object implements WikiRPCHandler
Provides definitions for RPC handler routines.

Since:
  1.6.13

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ERR_NOPAGE`
Error code: no such page.
`static final int`
`ERR_NOPERMISSION`
`static final String`
`LINK_EXTERNAL`
Link to an external resource.
`static final String`
`LINK_INLINE`
This is an inlined image.
`static final String`
`LINK_LOCAL`
Link to a local wiki page.
`protected Context`
`m_context`
`protected Engine`
`m_engine`
`static final int`
`RPC_VERSION`
This is the currently implemented JSPWiki XML-RPC code revision.

## Constructor Summary

Constructors
Constructor
Description
`AbstractRPCHandler()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`checkPermission(Permission perm)`
Checks whether the current user has permission to perform the RPC action; throws an exception if not allowed by `AuthorizationManager`.
`protected abstract Hashtable`
`encodeWikiPage(Page p)`
`Vector`
`getRecentChanges(Date since)`
`int`
`getRPCVersionSupported()`
Returns the current supported JSPWiki XML-RPC API.
`void`
`initialize(Context context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ERR_NOPAGE

public static final int ERR_NOPAGE
Error code: no such page.

See Also:
  - Constant Field Values

### ERR_NOPERMISSION

public static final int ERR_NOPERMISSION

See Also:
  - Constant Field Values

### LINK_LOCAL

public static final String LINK_LOCAL
Link to a local wiki page.

See Also:
  - Constant Field Values

### LINK_EXTERNAL

public static final String LINK_EXTERNAL
Link to an external resource.

See Also:
  - Constant Field Values

### LINK_INLINE

public static final String LINK_INLINE
This is an inlined image.

See Also:
  - Constant Field Values

### m_engine

protected Engine m_engine

### m_context

protected Context m_context

### RPC_VERSION

public static final int RPC_VERSION
This is the currently implemented JSPWiki XML-RPC code revision.

See Also:
  - Constant Field Values

## Constructor Details

### AbstractRPCHandler

public AbstractRPCHandler()

## Method Details

### initialize

public void initialize(Context context)

Specified by:
  `initialize` in interface `WikiRPCHandler`

### encodeWikiPage

protected abstract Hashtable encodeWikiPage(Page p)

### getRecentChanges

public Vector getRecentChanges(Date since)

### checkPermission

protected void checkPermission(Permission perm)
Checks whether the current user has permission to perform the RPC action; throws an exception if not allowed by `AuthorizationManager`.

Parameters:
  `perm` - the Permission to check

### getRPCVersionSupported

public int getRPCVersionSupported()
Returns the current supported JSPWiki XML-RPC API.